## gatb-core 1.4.1%2Bgit20181225.44d5a44%2Bdfsg

=== gatb-core/examples/Makefile ===
# example GATB-core makefile

.PHONY: all clean

# change this to the folder where gatb-core is
GATB=$(shell pwd)/../

GATB_LIB=$(GATB)/build/lib

CXXFLAGS =  -std=c++0x -O3  -I$(GATB)/src  -I$(GATB)/build/include -I$(GATB)/thirdparty 
LDFLAGS=   -L$(GATB_LIB) -lgatbcore  -lpthread -lz -lhdf5 -std=c++0x -ldl -static


SRCS = $(wildcard *.cpp)
OBJS = $(patsubst %.cpp,%,$(SRCS))

all: $(OBJS)

clean:
	rm -fv $(OBJS)

%: %.cpp
	$(CXX) $(CXXFLAGS) $^ -o $@  $(LDFLAGS)

## gatb-core 1.4.1%2Bgit20191209.9398f28%2Bdfsg

=== gatb-core/CMakeLists.txt ===
project(gatb-core)

# We set the required version
cmake_minimum_required (VERSION 3.10.0)

################################################################################
# The version number.
################################################################################
# The default version number is the latest official build
SET (gatb-core_VERSION_MAJOR 1)
SET (gatb-core_VERSION_MINOR 4)
SET (gatb-core_VERSION_PATCH 1)

# But, it is possible to define another release number during a local build
IF (DEFINED MAJOR)
    SET (gatb-core_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-core_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-core_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-core-version ${gatb-core_VERSION_MAJOR}.${gatb-core_VERSION_MINOR}.${gatb-core_VERSION_PATCH})

# However, continuous integration has priority over local compilation
IF (DEFINED JENKINS_TAG)
    SET (gatb-core-version ${JENKINS_TAG})
ENDIF()

# User login to upload doc-api; Jenkins has priority over local user
IF (DEFINED JENKINS_GFORGE_USER)
    SET (gatb-doc-user-login ${JENKINS_GFORGE_USER})
ELSE()
    SET (gatb-doc-user-login $ENV{USER})
ENDIF()

set (gatb-core-date "xxxx-xx-xx")

################################################################################
# Define cmake modules directory
################################################################################
set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

################################################################################
# Include external cmake files
################################################################################
include (DefineInteger)
include (CppUnit)

# We check whether we have native 128 bits integers
DefineInteger (k)

# We get the current date
string (TIMESTAMP gatb-core-date "%Y-%m-%d/%H:%M:%S")

################################################################################
# COMPILER DEFINITIONS
################################################################################
# We try to find the best compiler config, in particular for C++ extension usage
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

    IF(NOT CMAKE_CXX_COMPILER_VERSION) #for old cmakes
        include(CheckCompiler)
    ENDIF()
    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.7) 
        message(FATAL_ERROR "Insufficient gcc version (gcc>=4.7 needed)")
    endif()

elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")

        if ("${CMAKE_CXX_COMPILER_VERSION}" STREQUAL "")
        # travis-cl has a clang that shows no version, so trying this http://stackoverflow.com/questions/16150888/cmake-branch-on-clang-version
            EXECUTE_PROCESS( COMMAND ${CMAKE_CXX_COMPILER} --version OUTPUT_VARIABLE clang_full_version_string )
            string (REGEX REPLACE ".*clang version ([0-9]+\\.[0-9]+).*" "\\1" CLANG_VERSION_STRING ${clang_full_version_string})
            set(CMAKE_CXX_COMPILER_VERSION ${CLANG_VERSION_STRING})
        endif()

    IF(CMAKE_SYSTEM_NAME MATCHES "(Darwin)") # different clang versions number between linux and mac
        if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.3)
            message(FATAL_ERROR "Insufficient clang version (clang>=4.5 needed)")
        endif()

    else()
        if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 3.2) 
            message(FATAL_ERROR "Insufficient clang version (clang>=3.2 needed)")
        endif()

    endif()
else()
        message ("-------------------------------------------------------------------------------------")
        message ("-- WARNING !!! YOU USE AN UNKNOWN COMPILER...")
        message ("-------------------------------------------------------------------------------------")
endif()


################################################################################
# GENERAL DEFINITIONS
################################################################################
set (LIBRARY_COMPILE_DEFINITIONS "-std=c++11")
set (LIB_COMPILE_WARNINGS "-Wall -Wno-unused-function -Wno-format -Wno-unknown-pragmas") # last one is exclusively for BooPHF

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (debug 1)
endif()

if (debug)
    #set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p -pg")
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p ${LIB_COMPILE_WARNINGS}")
    set (CMAKE_BUILD_TYPE Debug) # else CMake adds DNDEBUG
    message("-- COMPILATION IN DEBUG MODE")
endif()

if (INT128_FOUND)
     set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DINT128_FOUND")
endif()

if (NONCANONICAL)
    MESSAGE("--- Compiling with non-canonical (direct strand only) k-mer counting")
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DNONCANONICAL=1")
endif()


# detect SSE for popcount 
# this was for emphf, maybe it's for something else also? otherwise this part can be removed.
#
# from https://github.com/rurban/smhasher/blob/master/CMakeLists.txt
# i do not see much performance gain for now, but let's keep that code here, might be useful later.
# list of performance gain observed:
# popcount in Graph::countNeighbors
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
    EXEC_PROGRAM(cat ARGS "/proc/cpuinfo" OUTPUT_VARIABLE CPUINFO)
    STRING(REGEX REPLACE "^.*(sse2).*$" "\\1" SSE_THERE ${CPUINFO})
    STRING(COMPARE EQUAL "sse2" "${SSE_THERE}" SSE2_TRUE)
    STRING(REGEX REPLACE "^.*(sse4_2).*$" "\\1" SSE_THERE ${CPUINFO})
    STRING(COMPARE EQUAL "sse4_2" "${SSE_THERE}" SSE42_TRUE)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Darwin")
    EXEC_PROGRAM("/usr/sbin/sysctl -n machdep.cpu.features" OUTPUT_VARIABLE
        CPUINFO)
    STRING(REGEX REPLACE "^.*[^S](SSE2).*$" "\\1" SSE_THERE ${CPUINFO})
    STRING(COMPARE EQUAL "SSE2" "${SSE_THERE}" SSE2_TRUE)
    STRING(REGEX REPLACE "^.*(SSE4.2).*$" "\\1" SSE_THERE ${CPUINFO})
    STRING(COMPARE EQUAL "SSE4.2" "${SSE_THERE}" SSE42_TRUE)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
IF (SSE2_TRUE)
    set(SSE2_FOUND true CACHE BOOL "SSE2 available")
ELSE (SSE2_TRUE)
    set(SSE2_FOUND false CACHE BOOL "SSE2 not available")
ENDIF (SSE2_TRUE)
IF (SSE42_TRUE)
    set(SSE4_2_FOUND true CACHE BOOL "SSE4.2 available")
ELSE (SSE42_TRUE)
    set(SSE4_2_FOUND false CACHE BOOL "SSE4.2 not available")
ENDIF (SSE42_TRUE)
# I could use LIBRARY_COMPILE_DEFINITIONS, but it's actually passed to "add_definitions", which isn't made for passing compilation flags, only -D ones.
IF(SSE4_2_FOUND AND (NOT NO_SSE))
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -msse2 -msse4.2 -mpopcnt")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -msse4.2 -mpopcnt")
    message ("-- SSE 4.2 detected")
ENDIF()

# WARNING !!! For the moment, we need to remove some warnings (on Macos) due to use of offsetof macro on non Plain Old Data
set (LIBRARY_COMPILE_DEFINITIONS "${LIBRARY_COMPILE_DEFINITIONS} -Wno-invalid-offsetof") 

# We may have some custom compilation flags.
if (use_allocator)
    set (LIBRARY_COMPILE_DEFINITIONS "${LIBRARY_COMPILE_DEFINITIONS} -DGATB_USE_CUSTOM_ALLOCATOR") 
endif()

message("-- Options: ${LIBRARY_COMPILE_DEFINITIONS}")

################################################################################
#  DIRECTORIES MANAGEMENT 
################################################################################

set (LIBRARY_OUTPUT_PATH       ${PROJECT_BINARY_DIR}/lib/${CMAKE_BUILD_TYPE})
set (EXECUTABLE_OUTPUT_PATH    ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})

################################################################################
#  EXPORT FOR THIRD PARTIES 
################################################################################

# In case you need to use external libraries, you can use the following variables:
#   EXTRALIBS      : names of the libraries to be used
#   EXTRALIBS_PATH : directory where the libraries are
#   EXTRALIBS_INC  : directory of the include files for the libraries 
# For instance, you can do the following:
#       cmake -DEXTRALIBS="somelib"  -DEXTRALIBS_PATH="/somewhere/libs"  -DEXTRALIBS_INC="/somewhere/inc" ..

IF (DEFINED EXTRALIBS)
    set (gatb-core-extra-libraries ${EXTRALIBS})
    set (gatb-core-extra-libraries ${gatb-core-extra-libraries} PARENT_SCOPE)
ENDIF()
IF (DEFINED EXTRALIBS_PATH)
    set (gatb-core-extra-libraries-path ${EXTRALIBS_PATH})
    set (gatb-core-extra-libraries-path ${gatb-core-extra-libraries-path} PARENT_SCOPE)
ENDIF()
IF (DEFINED EXTRALIBS_INC)
    set (gatb-core-extra-libraries-inc ${EXTRALIBS_INC})
    set (gatb-core-extra-libraries-inc ${gatb-core-extra-libraries-inc} PARENT_SCOPE)
ENDIF()

# We define the compilation flags used for compiling binary based on gatb core
set (gatb-core-flags ${LIBRARY_COMPILE_DEFINITIONS})

# We define the include directories used for linking binary based on gatb core
# Note that we need to add boost include dependency (not working otherwise with clang)
set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE} ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty ${gatb-core-extra-libraries-inc})

# We define the libraries used for linking binary based on gatb core
set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5-static ${gatb-core-extra-libraries})

# We define the directory where to find cmake helpers
set (gatb-core-cmake  ${CMAKE_MODULE_PATH})

# NOTE... we have to duplicate the variables for the other scopes (in particular for sub directories)
set (gatb-core-flags          ${gatb-core-flags}          PARENT_SCOPE)
set (gatb-core-includes       ${gatb-core-includes}       PARENT_SCOPE)
set (gatb-core-libraries      ${gatb-core-libraries}      PARENT_SCOPE)
set (gatb-core-cmake          ${gatb-core-cmake}          PARENT_SCOPE)

################################################################################
#  LIBRARY GENERATION 
################################################################################
ADD_SUBDIRECTORY(src)

# NOTE... we have to duplicate the variables for the other scopes (in particular for sub directories)
set (gatb-core-klist   ${gatb-core-klist}  PARENT_SCOPE)

################################################################################
#  UNIT TESTS GENERATION 
################################################################################
IF (DEFINED CPPUNIT_FOUND)
    IF (EXISTS "${PROJECT_SOURCE_DIR}/test")
        IF (NOT DEFINED GATB_CORE_EXCLUDE_TESTS)
            ADD_SUBDIRECTORY (test)
        ENDIF()
    ENDIF()
ENDIF()

################################################################################
#  TOOLS GENERATION 
################################################################################
IF (NOT DEFINED GATB_CORE_EXCLUDE_TOOLS)
    ADD_SUBDIRECTORY(tools)
ENDIF()

################################################################################
#  THIRD PARTY GENERATION (
################################################################################
ADD_SUBDIRECTORY(thirdparty)

################################################################################
#  DEPENDENCIES 
################################################################################
# we must be sure that hdf5 is built and installed before building gatb-core
ADD_DEPENDENCIES (gatbcore-static hdf5-static hdf5_postbuild)

################################################################################
#  DOCUMENTATION GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/doc")
    ADD_SUBDIRECTORY(doc EXCLUDE_FROM_ALL)
ENDIF()

################################################################################
#  EXAMPLES GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/examples")
    IF (GATB_CORE_INCLUDE_EXAMPLES)
        ADD_SUBDIRECTORY(examples)
    ENDIF()
ENDIF()

IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
    # add example snippets into binary archive (use by CPack directive)

=== gatb-core/examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 GATB_LIB=$(GATB)/build/lib
 
 CXXFLAGS =  -std=c++0x -O3  -I$(GATB)/src  -I$(GATB)/build/include -I$(GATB)/thirdparty 
-LDFLAGS=   -L$(GATB_LIB) -lgatbcore  -lpthread -lz -lhdf5 -std=c++0x -ldl -static
+LDFLAGS=   -L$(GATB_LIB) -lgatbcore  -lpthread -lhdf5 -lz -std=c++0x -ldl -static
 
 
 SRCS = $(wildcard *.cpp)

=== debian/control ===
Source: gatb-core
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nadiya Sitdykova <rovenskasa@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               cmake,
               libcppunit-dev,
               libhdf5-dev,
               libboost-dev,
               libjsoncpp-dev,
               doxygen,
               graphviz
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
Homepage: https://github.com/GATB/gatb-core

Package: gatb-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Genome Analysis Toolbox with de-Bruijn graph
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/

Package: libgatbcore3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynamic library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the dynamic library.

Package: libgatbcore-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgatbcore3 (= ${binary:Version})
Description: development library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the static library and the header files
 of the gatb-core library.

Package: gatb-core-testdata
Architecture: all
Depends: ${misc:Depends},
         gatb-core
Description: Genome Analysis Toolbox with de-Bruijn graph (test data)
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains some data to test the library.

## gatb-core 1.4.1+dfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(gatb-core)
 
 # We set the required version
-cmake_minimum_required (VERSION 3.10.0)
+cmake_minimum_required (VERSION 3.1.0)
 
 ################################################################################
 # The version number.
@@ -110,6 +110,8 @@
     set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p ${LIB_COMPILE_WARNINGS}")
     set (CMAKE_BUILD_TYPE Debug) # else CMake adds DNDEBUG
     message("-- COMPILATION IN DEBUG MODE")
+else()
+    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3 -DNDEBUG ${LIB_COMPILE_WARNINGS}")
 endif()
 
 if (INT128_FOUND)
@@ -209,7 +211,7 @@
 set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE} ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty ${gatb-core-extra-libraries-inc})
 
 # We define the libraries used for linking binary based on gatb core
-set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5-static ${gatb-core-extra-libraries})
+set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5 ${gatb-core-extra-libraries})
 
 # We define the directory where to find cmake helpers
 set (gatb-core-cmake  ${CMAKE_MODULE_PATH})
@@ -255,7 +257,7 @@
 #  DEPENDENCIES 
 ################################################################################
 # we must be sure that hdf5 is built and installed before building gatb-core
-ADD_DEPENDENCIES (gatbcore-static hdf5-static hdf5_postbuild)
+ADD_DEPENDENCIES (gatbcore-static hdf5 hdf5_postbuild)
 
 ################################################################################
 #  DOCUMENTATION GENERATION 
@@ -272,6 +274,3 @@
         ADD_SUBDIRECTORY(examples)
     ENDIF()
 ENDIF()
-
-IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
-    # add example snippets into binary archive (use by CPack directive)

=== debian/changelog ===
gatb-core (1.4.1+dfsg-2) unstable; urgency=medium

  * Install cmake files
  * Fix binary only build
    Closes: #902161

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 12:01:54 +0200

gatb-core (1.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #873044)  

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 21:57:34 +0200

=== debian/control ===
Source: gatb-core
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nadiya Sitdykova <rovenskasa@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               cmake,
               libcppunit-dev,
               libhdf5-dev,
               libboost-dev,
               libjsoncpp-dev,
               doxygen,
               graphviz
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
Homepage: https://github.com/GATB/gatb-core

Package: gatb-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Genome Analysis Toolbox with de-Bruijn graph
 The GATB-CORE project provides a set of highly efficient 
 algorithms to analyse NGS data sets. These methods enable 
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants, 
 animals and even complex samples (e.g. metagenomes). 
 Read more about GATB at https://gatb.inria.fr/. 
 By itself GATB-CORE is not an NGS data analysis tool. 
 However, it can be used to create such tools. There already 
 exist a set of ready-to-use tools relying on GATB-CORE 
 library: see https://gatb.inria.fr/software/

Package: libgatbcore0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynamic library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient 
 algorithms to analyse NGS data sets. These methods enable 
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants, 
 animals and even complex samples (e.g. metagenomes). 
 Read more about GATB at https://gatb.inria.fr/. 
 By itself GATB-CORE is not an NGS data analysis tool. 
 However, it can be used to create such tools. There already 
 exist a set of ready-to-use tools relying on GATB-CORE 
 library: see https://gatb.inria.fr/software/
 .
 This package contains the dynamic library.

Package: libgatbcore-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgatbcore0 (= ${binary:Version})
Description: development library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient 
 algorithms to analyse NGS data sets. These methods enable 
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants, 
 animals and even complex samples (e.g. metagenomes). 
 Read more about GATB at https://gatb.inria.fr/. 
 By itself GATB-CORE is not an NGS data analysis tool. 
 However, it can be used to create such tools. There already 
 exist a set of ready-to-use tools relying on GATB-CORE 
 library: see https://gatb.inria.fr/software/
 .
 This package contains the static library and the header files
 of the gatb-core library.

Package: gatb-core-testdata
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gatb-core
Description: Genome Analysis Toolbox with de-Bruijn graph (test data)
 The GATB-CORE project provides a set of highly efficient 
 algorithms to analyse NGS data sets. These methods enable 
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants, 
 animals and even complex samples (e.g. metagenomes). 
 Read more about GATB at https://gatb.inria.fr/. 
 By itself GATB-CORE is not an NGS data analysis tool. 
 However, it can be used to create such tools. There already 
 exist a set of ready-to-use tools relying on GATB-CORE 
 library: see https://gatb.inria.fr/software/
 .
 This package contains some data to test the library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
pkgtestdata=$(DEB_SOURCE)-testdata

%:
	dh $@ --sourcedirectory=gatb-core

override_dh_install-arch:
	dh_install -a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include usr \
                    --movedev gatb-core/cmake usr/lib \
                    debian/tmp/usr/lib/*/*.so
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

override_dh_install-indep:
	dh_install -i
	mv debian/$(pkgtestdata)/usr/share/doc/$(DEB_SOURCE)/test/gatb-core-cppunit debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

## gatb-core 1.4.1+git20180206.6f8fce8+dfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -274,3 +274,4 @@
         ADD_SUBDIRECTORY(examples)
     ENDIF()
 ENDIF()
+

=== gatb-core/test/benchmark/CMakeLists.txt ===
################################################################################
#  EXAMPLES 
################################################################################

include_directories (${gatb-core-includes})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11") # needed for bench_mphf


list (APPEND PROGRAMS bench1 bench_bloom bench_mphf bench_minim bench_graph)

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
ENDFOREACH (program)

=== debian/changelog ===
gatb-core (1.4.1+git20180206.6f8fce8+dfsg-2) unstable; urgency=medium

  * Provide symbols for amd64 only
    Closes: #920330

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 10:28:21 +0100

gatb-core (1.4.1+git20180206.6f8fce8+dfsg-1) unstable; urgency=medium

  * New upstream commit to fit needs of minia and discosnp
  * Add symbols file
  * Bump SOVERSION due to changed symbols

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 16:58:53 +0100

gatb-core (1.4.1+dfsg-4) unstable; urgency=medium

  * Install json.hpp since it is referenced in header files
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 14:50:38 +0100

gatb-core (1.4.1+dfsg-3) unstable; urgency=medium

  * Make sure target dir exists also for Architecture: all build
    Closes: #903613
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control

 -- Andreas Tille <tille@debian.org>  Sat, 15 Dec 2018 10:22:40 +0100

=== debian/control ===
Source: gatb-core
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nadiya Sitdykova <rovenskasa@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               d-shlibs,
               cmake,
               libcppunit-dev,
               libhdf5-dev,
               libboost-dev,
               libjsoncpp-dev,
               doxygen,
               graphviz
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
Homepage: https://github.com/GATB/gatb-core

Package: gatb-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Genome Analysis Toolbox with de-Bruijn graph
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/

Package: libgatbcore1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynamic library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the dynamic library.

Package: libgatbcore-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgatbcore1 (= ${binary:Version})
Description: development library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the static library and the header files
 of the gatb-core library.

Package: gatb-core-testdata
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gatb-core
Description: Genome Analysis Toolbox with de-Bruijn graph (test data)
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains some data to test the library.

=== debian/watch ===
version=4

# New files on Github
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/GATB/gatb-core/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## gatb-core 1.4.1+git20181225.44d5a44+dfsg

=== debian/changelog ===
gatb-core (1.4.1+git20181225.44d5a44+dfsg-3) unstable; urgency=medium

  * Fix symbols
    Closes: #930368

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jun 2019 12:25:30 +0200

gatb-core (1.4.1+git20181225.44d5a44+dfsg-2) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #924849

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2019 09:45:17 +0100

gatb-core (1.4.1+git20181225.44d5a44+dfsg-1) unstable; urgency=medium

  * New upstream checkout
  * Adapt symbols file to new upstream code
  * Bump SOVERSION due to ABI changes

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 11:50:33 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  exist a set of ready-to-use tools relying on GATB-CORE
  library: see https://gatb.inria.fr/software/
 
-Package: libgatbcore1
+Package: libgatbcore2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -60,7 +60,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore1 (= ${binary:Version})
+         libgatbcore2 (= ${binary:Version})
 Description: development library of the Genome Analysis Toolbox
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable

## gatb-core 1.4.1+git20190813.a73b6dd+dfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(gatb-core)
 
 # We set the required version
-cmake_minimum_required (VERSION 3.1.0)
+cmake_minimum_required (VERSION 3.10.0)
 
 ################################################################################
 # The version number.
@@ -211,7 +211,7 @@
 set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE} ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty ${gatb-core-extra-libraries-inc})
 
 # We define the libraries used for linking binary based on gatb core
-set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5 ${gatb-core-extra-libraries})
+set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5-static ${gatb-core-extra-libraries})
 
 # We define the directory where to find cmake helpers
 set (gatb-core-cmake  ${CMAKE_MODULE_PATH})
@@ -257,7 +257,7 @@
 #  DEPENDENCIES 
 ################################################################################
 # we must be sure that hdf5 is built and installed before building gatb-core
-ADD_DEPENDENCIES (gatbcore-static hdf5 hdf5_postbuild)
+ADD_DEPENDENCIES (gatbcore-static hdf5-static hdf5_postbuild)
 
 ################################################################################
 #  DOCUMENTATION GENERATION

=== debian/changelog ===
gatb-core (1.4.1+git20190813.a73b6dd+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Fix symbols file to match output from gcc9
    Closes: #925690
  * List missing dependencies explicitly
    Closes: #931403

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 12:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                cmake,
                libcppunit-dev,
@@ -13,7 +13,7 @@
                libjsoncpp-dev,
                doxygen,
                graphviz
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
 Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
 Homepage: https://github.com/GATB/gatb-core
@@ -21,7 +21,9 @@
 Package: gatb-core
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libhdf5-103,
+         libcppunit-1.14-0
 Description: Genome Analysis Toolbox with de-Bruijn graph
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable

## gatb-core 1.4.1+git20191130.664696c+dfsg

=== debian/changelog ===
gatb-core (1.4.1+git20191130.664696c+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Andreas Tille ]
  * Bump Debian own invented SOVERSION due to massive changes in upstream
    ABI

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 12:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libjsoncpp-dev,
                doxygen,
                graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
 Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
 Homepage: https://github.com/GATB/gatb-core
@@ -37,7 +37,7 @@
  exist a set of ready-to-use tools relying on GATB-CORE
  library: see https://gatb.inria.fr/software/
 
-Package: libgatbcore2
+Package: libgatbcore3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -62,7 +62,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore2 (= ${binary:Version})
+         libgatbcore3 (= ${binary:Version})
 Description: development library of the Genome Analysis Toolbox
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 %:
 	dh $@ --sourcedirectory=gatb-core
 
+override_dh_auto_build-arch:
+	dh_auto_build -a
+
+override_dh_auto_build-indep:
+	echo "Save time of autobuilders and do nothing ... unfortunately this does not seem to work"
+
 override_dh_install-arch:
-	dh_install -a
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
@@ -19,7 +24,9 @@
                     --movedev gatb-core/cmake usr/lib \
                     debian/tmp/usr/lib/*/*.so
 	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
+	dh_install -a
 
 override_dh_install-indep:
 	dh_install -i
+	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
 	mv debian/$(pkgtestdata)/usr/share/doc/$(DEB_SOURCE)/test/gatb-core-cppunit debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

## gatb-core 1.4.1+git20191209.9398f28+dfsg

=== gatb-core/doc/CMakeLists.txt ===

find_package (Doxygen)

# see http://www.cmake.org/pipermail/cmake/2008-May/021426.html

if (DOXYGEN_FOUND)

    CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/doxygen/gatb.doxyfile  ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile  @ONLY)
    
    ADD_CUSTOM_TARGET (doc 
      ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    )
    ADD_CUSTOM_TARGET (deploy-doc 
      COMMAND tar -zcf ${CMAKE_BINARY_DIR}/doc/doc.tgz -C ${CMAKE_BINARY_DIR}/doc/html .
      COMMAND scp ${CMAKE_BINARY_DIR}/doc/doc.tgz ${gatb-doc-user-login}@scm.gforge.inria.fr:/home/groups/gatb-core/
      COMMAND ssh ${gatb-doc-user-login}@scm.gforge.inria.fr "rm -rf /home/groups/gatb-core/htdocs/doc/api/*"
      COMMAND ssh ${gatb-doc-user-login}@scm.gforge.inria.fr "tar -xf /home/groups/gatb-core/doc.tgz --no-overwrite-dir -C /home/groups/gatb-core/htdocs/doc/api"
    )
    
    INSTALL (CODE "execute_process(COMMAND ${CMAKE_BUILD_TOOL} doc)")
    
    INSTALL (DIRECTORY ${CMAKE_BINARY_DIR}/doc/html DESTINATION doc)
    
endif (DOXYGEN_FOUND)


# HERE IS A COMMAND LINE TO COPY THE HTML DOCUMENTATION TO THE GFORGE SERVER  (from the build directory)
#

=== gatb-core/src/CMakeLists.txt ===
################################################################################
#  KMER SIZE DEFINITION 
################################################################################

# We define the default values for kmer sizes.
if (NOT KSIZE_DEFAULT_LIST) # only if the tool cmake didn't override it
    #list (APPEND KSIZE_DEFAULT_LIST  32   64)
    list (APPEND KSIZE_DEFAULT_LIST  32   64   96  128)
    #list (APPEND KSIZE_DEFAULT_LIST  32   64   96  128  160  192  224  256)
endif()

# We use a default list of kmer sizes if no one is provided by the user (via cmake -dKSIZE_LIST command)
if (NOT KSIZE_LIST)
    set (gatb-core-klist ${KSIZE_DEFAULT_LIST})
else()
    string(REPLACE " " ";" gatb-core-klist ${KSIZE_LIST})
endif()

set (gatb-core-klist ${gatb-core-klist} PARENT_SCOPE)

# We set all KSIZE_x variables (used in config.in files)
set (idx 0)
FOREACH (ksize ${gatb-core-klist})
    MATH(EXPR idx "${idx}+1")
    # We set the default value to KSIZE_i
    SET (KSIZE_${idx} ${ksize}) 
ENDFOREACH()

set (idx 0)
FOREACH (ksize ${gatb-core-klist})
    list (APPEND KSIZE_STRING_TYPE_TMP "boost::mpl::int_<${ksize}>")
ENDFOREACH()

string (REPLACE ";" "," KSIZE_STRING_COMMA "${gatb-core-klist}")
string (REPLACE ";" " " KSIZE_STRING_SPACE "${gatb-core-klist}")
string (REPLACE ";" "," KSIZE_STRING_TYPE  "${KSIZE_STRING_TYPE_TMP}")

# We dump some information
MESSAGE ("-- OPTIMIZED KMER SIZES INTERVALS ARE " ${KSIZE_STRING_SPACE} " <-- max supported kmer size without recompilation")


################################################################################
#  CONFIGURATION FILE
################################################################################

# We build the file holding system information
configure_file (
    ${PROJECT_SOURCE_DIR}/src/gatb/system/api/build_info.hpp.in
    ${PROJECT_BINARY_DIR}/include/gatb/system/api/build_info.hpp
)
# File holding configuration macros
configure_file (
    ${PROJECT_SOURCE_DIR}/src/gatb/system/api/config.hpp.in
    ${PROJECT_BINARY_DIR}/include/gatb/system/api/config.hpp
)

# We define the list of files that need template specializations for each possible kmer size
file (GLOB_RECURSE  TemplateFiles  ${PROJECT_SOURCE_DIR}/src/gatb/template/*.cpp.in)

FOREACH (KSIZE ${gatb-core-klist})

    FOREACH (template ${TemplateFiles})

        get_filename_component (template_out ${template} NAME)
        
        configure_file (
            ${template}
            ${PROJECT_BINARY_DIR}/src/gatb/template/${template_out}_${KSIZE}.cpp
        )

    ENDFOREACH ()

ENDFOREACH ()

################################################################################
#  LIBRARY GENERATION 
################################################################################

file (GLOB_RECURSE  ComponentFiles  *  ${PROJECT_BINARY_DIR}/src/gatb/*.cpp)

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

add_library    (gatbcore-static  STATIC  ${ComponentFiles} )
#add_library   (gatbcore-dynamic SHARED  ${ComponentFiles} )

set_target_properties  (gatbcore-static   PROPERTIES OUTPUT_NAME  gatbcore  clean_direct_output 1)
#set_target_properties (gatbcore-dynamic  PROPERTIES OUTPUT_NAME  gatbcore  clean_direct_output 1)

################################################################################
#  INSTALLATION 
################################################################################

# We install the libraries
IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    install (TARGETS gatbcore-static DESTINATION lib)
    install (DIRECTORY ${PROJECT_SOURCE_DIR}/src/ DESTINATION include FILES_MATCHING PATTERN "*.hpp" PATTERN "*.tpp" PATTERN "*.pri" PATTERN "*.h")
    install (FILES ${PROJECT_BINARY_DIR}/include/gatb/system/api/config.hpp DESTINATION include/gatb/system/api/)
ENDIF ()

=== gatb-core/scripts/NewProject/CMakeLists.txt ===
project(XXX)

cmake_minimum_required(VERSION 3.1.0)

################################################################################
# The version number of YOUR tool.
################################################################################
SET (gatb-tool_VERSION_MAJOR 1)
SET (gatb-tool_VERSION_MINOR 0)
SET (gatb-tool_VERSION_PATCH 0)

IF (DEFINED MAJOR)
    SET (gatb-tool_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-tool_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-tool_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-tool-version ${gatb-tool_VERSION_MAJOR}.${gatb-tool_VERSION_MINOR}.${gatb-tool_VERSION_PATCH})

################################################################################
# Define cmake modules directory
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}GGGGG)
SET (CMAKE_MODULE_PATH ${GATB_CORE_HOME}/cmake)

################################################################################
# SUPPORTED KMER SIZES
################################################################################

# One can uncomment this line and set the wanted values
#set (KSIZE_LIST "32   64   96  128  160  192  224  256")

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
SET (GATB_CORE_EXCLUDE_TOOLS     1)
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_INCLUDE_EXAMPLES  0)

# GATB CORE
include (GatbCore)

################################################################################
# TOOLS
################################################################################

ADD_SUBDIRECTORY(tools)

################################################################################
# Packaging
################################################################################
# We set the version number
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-tool ${PROJECT_NAME}")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-tool_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-tool_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-tool_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-tool-version}")  

# We set the kind of archive
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")

# Packaging the source ; we ignore unwanted files 
SET (CPACK_SOURCE_IGNORE_FILES          
    "^${PROJECT_SOURCE_DIR}/build/"  
    "^${GATB_CORE_HOME}/.project"
    "^${GATB_CORE_HOME}/.gitignore"
    "^${GATB_CORE_HOME}/doc"
    "^${GATB_CORE_HOME}/DELIVERY.md"
)

# Packaging the binary ; we want to include some additional files
INSTALL (FILES   ${CMAKE_CURRENT_SOURCE_DIR}/LICENCE                     DESTINATION .)
INSTALL (FILES   ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/THIRDPARTIES.md  DESTINATION .)

include (CPack)

=== debian/changelog ===
gatb-core (1.4.1+git20191209.9398f28+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add -latomic where needed to fix the build on armel, mipsel & powerpc.
  * new patch to avoid "-msse2" on build hosts that use qemu
  * Simplify library dependencies. Closes: #947964.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 22:40:32 +0100

gatb-core (1.4.1+git20191209.9398f28+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 22:03:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,20 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel powerpc sh4))
+  EXTRA=-DCMAKE_CXX_STANDARD_LIBRARIES=-latomic
+endif
+
 
 include /usr/share/dpkg/default.mk
 pkgtestdata=$(DEB_SOURCE)-testdata
 
 %:
 	dh $@ --sourcedirectory=gatb-core
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(EXTRA)
 
 override_dh_auto_build-arch:
 	dh_auto_build -a

=== debian/watch ===
version=4

# Minia does not work with the official release - try HEAD
opts="mode=git,pretty=1.4.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
    https://github.com/GATB/gatb-core.git HEAD

# Regular releases
#opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#  https://github.com/GATB/gatb-core/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## gatb-core 1.4.2%2Bdfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # The default version number is the latest official build
 SET (gatb-core_VERSION_MAJOR 1)
 SET (gatb-core_VERSION_MINOR 4)
-SET (gatb-core_VERSION_PATCH 1)
+SET (gatb-core_VERSION_PATCH 2)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)
@@ -110,8 +110,6 @@
     set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p ${LIB_COMPILE_WARNINGS}")
     set (CMAKE_BUILD_TYPE Debug) # else CMake adds DNDEBUG
     message("-- COMPILATION IN DEBUG MODE")
-else()
-    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3 -DNDEBUG ${LIB_COMPILE_WARNINGS}")
 endif()
 
 if (INT128_FOUND)
@@ -275,3 +273,5 @@
     ENDIF()
 ENDIF()
 
+IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
+    # add example snippets into binary archive (use by CPack directive)

=== debian/watch ===
version=4

# Minia does not work with the official release - try HEAD
#opts="mode=git,pretty=1.4.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#    https://github.com/GATB/gatb-core.git HEAD

# Regular releases
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/GATB/gatb-core/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
